#include <iostream>

using namespace std;

int main()
{
    int n, m, k;
    cin >> n >> m >> k;
    if(n % k != 0){

        n=n+(k-n%k);
    }
    if(m%k!=0)
    {
        m=m+(k-m%k);
    }
    cout << (n * m) / (k * k);
    return 0;
}
